
simulationnames = str2mat('RegA','ReAB','RABC', 'RegA_ba', 'ReAB_ba');

%% Load and save scenarios for plotting

for jj=1:5

FILENAME = str2mat(['SimulResults_' deblank(simulationnames(jj,:)) '.mat']);
load([FILENAME], 'var_names', 'param_names', 'param_values', 'Sim_results', 'Sim_newss');

    varlist = var_names;
    endos = Sim_results;
    n = size(varlist,1);
    
    for i = 1:n
        nameperdev = strcat(simulationnames(jj,:),'_',varlist(i,:), '_percdev');
        nameppdev  = strcat(simulationnames(jj,:),'_',varlist(i,:), '_ppdev');
        namelevel  = strcat(simulationnames(jj,:),'_',varlist(i,:), '_level');
        
        eval( strcat(nameperdev, ' = endos(', num2str(i), ',:)/endos(', num2str(i), ',1)-1;' ));
        eval( strcat(nameppdev, ' = (endos(', num2str(i), ',:) - endos(', num2str(i), ',1));' ));
        eval( strcat(namelevel, ' = endos(', num2str(i), ',:);' ));
           
    end

end
