
%% Long-run effects (Table 1)
H = {'PM only in A','PM in A plus Bord.Adj. in A','PM in A and B','PM in A and B plus Bord.Adj. vis-a-vis C', 'PM in A, B and C'};
V = {'Output in a', 'Consumption in a',  'Hours in a', 'Wages in a',  'Emissions in a', 'Output in b', 'Consumption in b',  'Hours in b', 'Wages in b',  'Emissions in b', 'Output in c', 'Consumption in c', 'Hours in c', 'Wages in c',  'Emissions in c', 'World emission stock'};
Vheads = {'...'};

note.width = 13;
note.text = 'Results for region a';
TabOutputVDEC('Table_1','Long-run changes',note,[RegA_Y_a_t_percdev(2002)*100, RegA_ba_Y_a_t_percdev(2002)*100, ReAB_Y_a_t_percdev(2002)*100, ReAB_ba_Y_a_t_percdev(2002)*100, RABC_Y_a_t_percdev(2002)*100; RegA_C_a_t_percdev(2002)*100, RegA_ba_C_a_t_percdev(2002)*100, ReAB_C_a_t_percdev(2002)*100, ReAB_ba_C_a_t_percdev(2002)*100, RABC_C_a_t_percdev(2002)*100;  RegA_N_a_t_percdev(2002)*100, RegA_ba_N_a_t_percdev(2002)*100, ReAB_N_a_t_percdev(2002)*100, ReAB_ba_N_a_t_percdev(2002)*100, RABC_N_a_t_percdev(2002)*100; RegA_w_a_t_percdev(2002)*100, RegA_ba_w_a_t_percdev(2002)*100, ReAB_w_a_t_percdev(2002)*100, ReAB_ba_w_a_t_percdev(2002)*100, RABC_w_a_t_percdev(2002)*100;  RegA_ZZ_a_t_percdev(2002)*100, RegA_ba_ZZ_a_t_percdev(2002)*100, ReAB_ZZ_a_t_percdev(2002)*100, ReAB_ba_ZZ_a_t_percdev(2002)*100, RABC_ZZ_a_t_percdev(2002)*100; RegA_Y_b_t_percdev(2002)*100, RegA_ba_Y_b_t_percdev(2002)*100, ReAB_Y_b_t_percdev(2002)*100, ReAB_ba_Y_b_t_percdev(2002)*100, RABC_Y_b_t_percdev(2002)*100; RegA_C_b_t_percdev(2002)*100, RegA_ba_C_b_t_percdev(2002)*100, ReAB_C_b_t_percdev(2002)*100, ReAB_ba_C_b_t_percdev(2002)*100, RABC_C_b_t_percdev(2002)*100;  RegA_N_b_t_percdev(2002)*100, RegA_ba_N_b_t_percdev(2002)*100, ReAB_N_b_t_percdev(2002)*100, ReAB_ba_N_b_t_percdev(2002)*100, RABC_N_b_t_percdev(2002)*100; RegA_w_b_t_percdev(2002)*100, RegA_ba_w_b_t_percdev(2002)*100, ReAB_w_b_t_percdev(2002)*100, ReAB_ba_w_b_t_percdev(2002)*100, RABC_w_b_t_percdev(2002)*100;  RegA_ZZ_b_t_percdev(2002)*100, RegA_ba_ZZ_b_t_percdev(2002)*100, ReAB_ZZ_b_t_percdev(2002)*100, ReAB_ba_ZZ_b_t_percdev(2002)*100, RABC_ZZ_b_t_percdev(2002)*100; RegA_Y_c_t_percdev(2002)*100, RegA_ba_Y_c_t_percdev(2002)*100, ReAB_Y_c_t_percdev(2002)*100, ReAB_ba_Y_c_t_percdev(2002)*100, RABC_Y_c_t_percdev(2002)*100; RegA_C_c_t_percdev(2002)*100, RegA_ba_C_c_t_percdev(2002)*100, ReAB_C_c_t_percdev(2002)*100, ReAB_ba_C_c_t_percdev(2002)*100, RABC_C_c_t_percdev(2002)*100; RegA_N_c_t_percdev(2002)*100, RegA_ba_N_c_t_percdev(2002)*100, ReAB_N_c_t_percdev(2002)*100, ReAB_ba_N_c_t_percdev(2002)*100, RABC_N_c_t_percdev(2002)*100; RegA_w_c_t_percdev(2002)*100, RegA_ba_w_c_t_percdev(2002)*100, ReAB_w_c_t_percdev(2002)*100, ReAB_ba_w_c_t_percdev(2002)*100, RABC_w_c_t_percdev(2002)*100; RegA_ZZ_c_t_percdev(2002)*100, RegA_ba_ZZ_c_t_percdev(2002)*100, ReAB_ZZ_c_t_percdev(2002)*100, ReAB_ba_ZZ_c_t_percdev(2002)*100, RABC_ZZ_c_t_percdev(2002)*100; RegA_EM_t_percdev(2002)*100, RegA_ba_EM_t_percdev(2002)*100, ReAB_EM_t_percdev(2002)*100, ReAB_ba_EM_t_percdev(2002)*100, RABC_EM_t_percdev(2002)*100 ],V,Vheads,H);

simulationnames  = str2mat('RegA','RegA_ba','ReAB','ReAB_ba');


%% Welfare results (Table 2)
% Welfare (SS comparison)

H = {'PM only in A','PM in A plus Bord.Adj. in A','PM in A and B','PM in A and B plus Bord.Adj. vis-a-vis C', 'PM in A, B and C'};
V = {'...in a', '...in b', '...in c', '...globally'};
Vheads = {'...'};

note.width = 13;
note.text = 'Welfare results (SS-compare)';
TabOutputVDEC('Table_2a','Long-run changes',note,[RegA_CE_a_t_level(2002)*100, RegA_ba_CE_a_t_level(2002)*100, ReAB_CE_a_t_level(2002)*100, ReAB_ba_CE_a_t_level(2002)*100, RABC_CE_a_t_level(2002)*100; RegA_CE_b_t_level(2002)*100, RegA_ba_CE_b_t_level(2002)*100, ReAB_CE_b_t_level(2002)*100, ReAB_ba_CE_b_t_level(2002)*100, RABC_CE_b_t_level(2002)*100; RegA_CE_c_t_level(2002)*100, RegA_ba_CE_c_t_level(2002)*100, ReAB_CE_c_t_level(2002)*100, ReAB_ba_CE_c_t_level(2002)*100, RABC_CE_c_t_level(2002)*100; RegA_CE_W_t_level(2002)*100, RegA_ba_CE_W_t_level(2002)*100, ReAB_CE_W_t_level(2002)*100, ReAB_ba_CE_W_t_level(2002)*100, RABC_CE_W_t_level(2002)*100],V,Vheads,H);

% Welfare (including transition)

betta=0.985;
RegA_CE_a = 0;
RegA_ba_CE_a = 0;
ReAB_CE_a = 0;
ReAB_ba_CE_a =0;
RABC_CE_a = 0;
pl=2002;
    for a=1:pl
        RegA_CE_a = RegA_CE_a + (1-betta)*betta^(a-1)*RegA_CE_a_t_level(a);
        RegA_ba_CE_a = RegA_ba_CE_a + (1-betta)*betta^(a-1)*RegA_ba_CE_a_t_level(a);
        ReAB_CE_a = ReAB_CE_a + (1-betta)*betta^(a-1)*ReAB_CE_a_t_level(a);
        ReAB_ba_CE_a = ReAB_ba_CE_a + (1-betta)*betta^(a-1)*ReAB_ba_CE_a_t_level(a);
        RABC_CE_a = RABC_CE_a + (1-betta)*betta^(a-1)*RABC_CE_a_t_level(a);
    end
RegA_CE_b = 0;
RegA_ba_CE_b = 0;
ReAB_CE_b = 0;
ReAB_ba_CE_b =0;
RABC_CE_b = 0;
pl=2002;
    for a=1:pl
        RegA_CE_b = RegA_CE_b + (1-betta)*betta^(a-1)*RegA_CE_b_t_level(a);
        RegA_ba_CE_b = RegA_ba_CE_b + (1-betta)*betta^(a-1)*RegA_ba_CE_b_t_level(a);
        ReAB_CE_b = ReAB_CE_b + (1-betta)*betta^(a-1)*ReAB_CE_b_t_level(a);
        ReAB_ba_CE_b = ReAB_ba_CE_b + (1-betta)*betta^(a-1)*ReAB_ba_CE_b_t_level(a);
        RABC_CE_b = RABC_CE_b + (1-betta)*betta^(a-1)*RABC_CE_b_t_level(a);
    end
RegA_CE_c = 0;
RegA_ba_CE_c = 0;
ReAB_CE_c = 0;
ReAB_ba_CE_c =0;
RABC_CE_c = 0;
pl=2002;
    for a=1:pl
        RegA_CE_c = RegA_CE_c + (1-betta)*betta^(a-1)*RegA_CE_c_t_level(a);
        RegA_ba_CE_c = RegA_ba_CE_c + (1-betta)*betta^(a-1)*RegA_ba_CE_c_t_level(a);
        ReAB_CE_c = ReAB_CE_c + (1-betta)*betta^(a-1)*ReAB_CE_c_t_level(a);
        ReAB_ba_CE_c = ReAB_ba_CE_c + (1-betta)*betta^(a-1)*ReAB_ba_CE_c_t_level(a);
        RABC_CE_c = RABC_CE_c + (1-betta)*betta^(a-1)*RABC_CE_c_t_level(a);
    end    
RegA_CE_W = 0;
RegA_ba_CE_W = 0;
ReAB_CE_W = 0;
ReAB_ba_CE_W =0;
RABC_CE_W = 0;
pl=2002;
    for a=1:pl
        RegA_CE_W = RegA_CE_W + (1-betta)*betta^(a-1)*RegA_CE_W_t_level(a);
        RegA_ba_CE_W = RegA_ba_CE_W + (1-betta)*betta^(a-1)*RegA_ba_CE_W_t_level(a);
        ReAB_CE_W = ReAB_CE_W + (1-betta)*betta^(a-1)*ReAB_CE_W_t_level(a);
        ReAB_ba_CE_W = ReAB_ba_CE_W + (1-betta)*betta^(a-1)*ReAB_ba_CE_W_t_level(a);
        RABC_CE_W = RABC_CE_W + (1-betta)*betta^(a-1)*RABC_CE_W_t_level(a);
    end  
    
    
    
H = {'PM only in A','PM in A plus Bord.Adj. in A','PM in A and B','PM in A and B plus Bord.Adj. vis-a-vis C', 'PM in A, B and C'};
V = {'...in a', '...in b', '...in c', '...globally'};
Vheads = {'...'};

note.width = 13;
note.text = 'Welfare results (Transition)';
TabOutputVDEC('Table_2b','Long-run changes',note,[RegA_CE_a*100, RegA_ba_CE_a*100, ReAB_CE_a*100, ReAB_ba_CE_a*100, RABC_CE_a*100; RegA_CE_b*100, RegA_ba_CE_b*100, ReAB_CE_b*100, ReAB_ba_CE_b*100, RABC_CE_b*100; RegA_CE_c*100, RegA_ba_CE_c*100, ReAB_CE_c*100, ReAB_ba_CE_c*100, RABC_CE_c*100; ; RegA_CE_W*100, RegA_ba_CE_W*100, ReAB_CE_W*100, ReAB_ba_CE_W*100, RABC_CE_W*100],V,Vheads,H);
    
    