
// ######################################################################
@#define nr         = 3
@#define country    = ["a", "b", "c"]

@#define sector     = 11

@#include "Vars_params.mod"
            
% load('pars.mat');
% @#include "Params.mod"

matchCalibration
@#include "SS.mod"

// ######################################################################  
@#include "Equations.mod"
// ######################################################################  

// ######################################################################
@#include "Init_Val.mod"

resid(1);
steady;
check;
model_diagnostics;

/*
SS_init = oo_.steady_state;
load('PSchocks.mat');

if simulation==1
P_EM_a_ts = num4(324);
elseif simulation==2
P_EM_a_ts = num4(324);
P_EM_b_ts = num4(324);
elseif simulation==3
P_EM_a_ts = num4(324);
P_EM_b_ts = num4(324);
P_EM_c_ts = num4(324);
elseif simulation==4
P_EM_a_ts = num4(324);
@#for se in [1:sector]
tau_hhh_@{se}_a_b_ts = (carb_int_@{se}_b*num4(324));
tau_hhh_@{se}_a_c_ts = (carb_int_@{se}_c*num4(324));
tau_ccc_@{se}_a_b_ts = (carb_int_@{se}_b*num4(324));
tau_ccc_@{se}_a_c_ts = (carb_int_@{se}_c*num4(324));
tau_iiic_@{se}_a_b_ts = (carb_int_@{se}_b*num4(324));
tau_iii_@{se}_a_c_ts  = (carb_int_@{se}_c*num4(324));
@#endfor
elseif simulation==5
P_EM_a_ts = num4(324);
P_EM_b_ts = num4(324);
@#for se in [1:sector]
tau_hhh_@{se}_b_c_ts = (carb_int_@{se}_c*num4(324));
tau_hhh_@{se}_a_c_ts = (carb_int_@{se}_c*num4(324));
tau_ccc_@{se}_b_c_ts = (carb_int_@{se}_c*num4(324));
tau_ccc_@{se}_a_c_ts = (carb_int_@{se}_c*num4(324));
tau_iiic_@{se}_b_c_ts = (carb_int_@{se}_c*num4(324));
tau_iii_@{se}_a_c_ts  = (carb_int_@{se}_c*num4(324));
@#endfor
end

steady(solve_algo=0);
resid(1);
newss = oo_.steady_state;
*/
/*
initval;
@#include "SS_init.mod"
end;

endval;
@#include "newss.mod"
end;

if simulation==1
shocks;
var shock_P_EM_a_t;
periods 1:324;
values (num5);
end;
elseif simulation==2
shocks;
var shock_P_EM_a_t;
periods 1:324;
values (num5);
var shock_P_EM_b_t;
periods 1:324;
values (num5);
end;
elseif simulation==3
shocks;
var shock_P_EM_a_t;
periods 1:324;
values (num5);
var shock_P_EM_b_t;
periods 1:324;
values (num5);
var shock_P_EM_c_t;
periods 1:324;
values (num5);
end;
elseif simulation==4
shocks;
var shock_P_EM_a_t;
periods 1:324;
values (num5);
@#for se in [1:sector]
var shock_tau_@{se}_a_b_t;
periods 1:324;
values (carb_int_@{se}_b*num5);
@#endfor
@#for se in [1:sector]
var shock_tau_@{se}_a_c_t;
periods 1:324;
values (carb_int_@{se}_c*num5);
@#endfor
end;
elseif simulation==5
shocks;
var shock_P_EM_a_t;
periods 1:324;
values (num5);
var shock_P_EM_b_t;
periods 1:324;
values (num5);
@#for se in [1:sector]
var shock_tau_@{se}_b_c_t;
periods 1:324;
values (carb_int_@{se}_c*num5);
@#endfor
@#for se in [1:sector]
var shock_tau_@{se}_a_c_t;
periods 1:324;
values (carb_int_@{se}_c*num5);
@#endfor
end;

end
*/
//simul(periods=2000, maxit=20, stack_solve_algo=0);
//stoch_simul(periods=200);
stoch_simul(order=1, solve_algo=4);

